%RLC kolo so sinusen naponski generator
clear; clc;
dt = 50e-6;
Tkraj = 0.5;
R = 10;
L = 0.5;
C = 10e-6;
Ug = 12;
RL = 2* L / dt;
RC = dt / (2* C);
G = [
    1/R + 1/RL  -1/RL
    -1/RL       1/RL + 1/RC
    ];
Z = inv(G);
N = Tkraj / dt;
t = zeros(N, 1);
v1 = zeros(N, 1);
v2 = zeros(N, 1);
i1 = zeros(N, 1);
IHL = 0;
IHC = 0;
for i = 1 : N
    t(i) = i * dt;
    if i > 1
        IHL = i1(i-1) + (v1(i-1) - v2(i-1))/RL;
        IHC = -i1(i-1) - v2(i-1)/RC;
    end
    D = [
        Ug*sin(100*pi*t(i))/R - IHL
        IHL - IHC
        ];
    Rez = Z * D;
    v1(i) = Rez(1);
    v2(i) = Rez(2);
    i1(i) = (Ug*sin(100*pi*t(i)) - v1(i))/R;
end
plot(t,i1);